devplugin

## Interface SettingsTab

- All Known Subinterfaces:
    CancelableSettingsTab
  All Known Implementing Classes:
    AbstractSettingsTab, ButtonsSettingsTab, CenterPanelSettingsTab, ChannelIconAndNameSettingsTab, ChannelsSettingsTab, ConfigDataServiceSettingsTab, ConfigPluginSettingsTab, ContextmenuSettingsTab, DataPluginPostProcessingOrderSettingsTab, DirectoriesSettingsTab, FavoritesSettingTab, FontsSettingsTab, GenericPluginFilterSettingsTab, GlobalPluginProgramFormatingSettings, LocaleSettingsTab, LookAndFeelSettingsTab, MarkingsSettingsTab, MouseSettingsTab, NetworkSettingsTab, PictureSettingsTab, PluginSettingsTab, ProgramInfoSettingsTab, ProgramPanelSettingsTab, ProgramTableSettingsTab, ProxySettingsTab, ReminderSettingsTab, SearchSettingsTab, StartupSettingsTab, TrayBaseSettingsTab, TrayImportantSettingsTab, TrayNowSettingsTab, TrayOnTimeSettingsTab, TrayProgramsChannelsSettingsTab, TraySoonSettingsTab, WebbrowserSettingsTab

      public interface SettingsTab

  Represents a page in the settings dialog. If you want to detect a cancel pressed action, you should use `CancelableSettingsTab`
  Author:
    Martin Oberhauser

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JPanel` | `createSettingsPanel()` Creates the settings panel for this tab.
    `javax.swing.Icon` | `getIcon()` Returns the icon of the tab-sheet.
    `java.lang.String` | `getTitle()` Returns the title of the tab-sheet.
    `void` | `saveSettings()` Called by the host-application, if the user wants to save the settings.

- - ### Method Detail

    - #### createSettingsPanel

          javax.swing.JPanel createSettingsPanel()

      Creates the settings panel for this tab.

    - #### saveSettings

          void saveSettings()

      Called by the host-application, if the user wants to save the settings.

    - #### getIcon

          javax.swing.Icon getIcon()

      Returns the icon of the tab-sheet.
      For plugins the plugin icon is used if this method returns null.

    - #### getTitle

          java.lang.String getTitle()

      Returns the title of the tab-sheet.
      For plugins the return value of this method is ignored since version 2.7

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)